| Box2D 2.3.0 A 2D Physics Engine for Games

Public Attributes | List of all members
b2JointEdge Struct Reference

`#include <b2Joint.h>`

## Public Attributes
b2Body * | other
| provides quick access to the other body attached.
b2Joint * | joint
| the joint
b2JointEdge * | prev
| the previous joint edge in the body's joint list
b2JointEdge * | next
| the next joint edge in the body's joint list

## Detailed Description

A joint edge is used to connect bodies and joints together in a joint graph where each body is a node and each joint is an edge. A joint edge belongs to a doubly linked list maintained in each attached body. Each joint has two joint nodes, one for each attached body.

The documentation for this struct was generated from the following file:

- b2Joint.h